#ifndef __mx_function_agents_h__
#define __mx_function_agents_h__

#include "vars.h"

long medTrDeviceList(CVars in, CVars &out);
long medTrCreateAgent(CVars in, CVars &out);
long TranspLoginAdmin(CVars in, CVars &out);
long TransporterSessionCheck(long uid, const char *sessionid, int create);
long medTrTransporterTransportList(CVars in, CVars &out);
long medTrLoadIntepreter(CVars in, CVars &out);
long medTrCreateIntepreter(CVars in, CVars &out);
long medTrCreateTransporter(CVars in, CVars &out);
long medTrTransporterLocationtList(CVars in, CVars &out);
long medTrTransporterTranslatortList(CVars in, CVars &out);
long medTrUpdateItepreter(CVars in, CVars &out);
long medTrLoadTransporter(CVars in, CVars &out);
long medTrUpdateTransporter(CVars in, CVars &out);
long medTrInterpreterLanguage(CVars in, CVars &out);
long medTrInterpreterLangList(CVars in, CVars &out);
void GenerateAgentFolder(unsigned long agent_id, char * number, int sz);
long medTrAgentLangList(CVars in, CVars &out);
long medAssignTranspoter(CVars in, CVars &out);

#endif

